Package org.lwjgl

# Class LWJGLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.lwjgl.LWJGLException

All Implemented Interfaces:
  `Serializable`

public class LWJGLException extends Exception

This exception is supplied to make exception handling more generic for LWJGL specific exceptions

Version:
  $Revision$ $Id$
Author:
  Brian Matzon invalid input: '<'brian@matzon.dk>
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LWJGLException()`
Plain c'tor
`LWJGLException(String msg)`
Creates a new LWJGLException
`LWJGLException(String message, Throwable cause)`
`LWJGLException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LWJGLException

public LWJGLException()
Plain c'tor

### LWJGLException

public LWJGLException(String msg)
Creates a new LWJGLException

Parameters:
  `msg` - String identifier for exception

### LWJGLException

public LWJGLException(String message, Throwable cause)

Parameters:
  `message` -
  `cause` -

### LWJGLException

public LWJGLException(Throwable cause)

Parameters:
  `cause` -